Bug 734151 - unable to navigate to the particular dashboard, if we have more number of dashboard with long names
unable to navigate to the particular dashboard, if we have more number of das...
Status: ON_DEV
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.1
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: rhq41-ui rhq-uxd
  Show dependency treegraph
 
Reported: 2011-08-29 10:51 EDT by Jeeva Kandasamy
Modified: 2015-02-01 18:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dashboard with long names (83.05 KB, image/jpeg)
2011-08-29 10:51 EDT, Jeeva Kandasamy
no flags Details

  None (edit)
Description Jeeva Kandasamy 2011-08-29 10:51:02 EDT
Created attachment 520413 [details]
Dashboard with long names

Description of problem:
If we have more number of dashboard with long name, unable to navigate to the particular dashboard, but still we can access all the dashboard(s) with the help of right(->) and left (<-) arrow keys from key board.

Version-Release number of selected component (if applicable):
Version: 4.1.0-SNAPSHOT
Build Number: a98c893
GWT Version: 2.0.4
SmartGWT Version: 2.4
Browser: Firefox 3.6.18
OS: RHEL 6.1 X86_64

How reproducible:
100%

Steps to Reproduce:
1.Navigate to dashboard
2.Create more number of dashboard with long name
3.Unable to navigate to the particular dashboard
  
Actual results:
Unable to navigate to the particular dashboard with the help of mouse

Expected results:
Should be accessible directly. For this we may provide left and right arrow button on dashboard and something similar. 

Additional info: Screen shot is attached
Comment 1 Ian Springer 2011-11-16 13:02:50 EST
It looks like this is a bug in SmartGWT 2.4. 

By default the showTabScroller property is set to true on the TabSet widget we are using. Here;s the Javadoc for TabSet.setShowTabScroller():

    /**
     * If there is not enough space to display all the tab-buttons in this tabSet, should  scroller buttons be displayed to
     * allow access to tabs that are clipped?
     *
     * @param showTabScroller showTabScroller Default value is true
     * @throws IllegalStateException this property cannot be changed after the component has been created
     */
    public void setShowTabScroller(Boolean showTabScroller)  throws IllegalStateException {
        setAttribute("showTabScroller", showTabScroller, false);
    }

But no "scroller buttons" are being displayed...

We can look at this again once we upgrade to SmartGWT 2.5.
Comment 2 Mike Thompson 2012-08-02 11:27:18 EDT
This is still an issue in smartGWT 3.0.
Comment 3 Mike Thompson 2012-08-03 18:28:29 EDT
I currently have a case filed with isomorphic.

Note You need to log in before you can comment on or make changes to this bug.